<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_d0845bff5cd0ddb5e" . "d1d7bd9db996f51" => base64_decode("c291cm" . "Nl"), "_6e38cb9e043a07cd69a1711a6" . "704c62a" => base64_decode("cGFyZW50X2l" . "k"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d0845bff5cd0ddb5ed1d7bd9" . "db996f51"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6e38cb9e043a0" . "7cd69a1711a670" . "4c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}